POST /runway/pro/generate 通过 CometAPI 使用 Runway 生成 GEN-4 文生视频,支持通过 X-Runway-Version 获取版本化输出。
curl --request POST \
--url https://api.cometapi.com/runway/pro/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callback_url": "http://baidu.com",
"ratio": "16:9",
"prompt": "a cat",
"style": "cinematic",
"model": "gen4",
"options": {
"seconds": 10,
"motion_vector": {
"x": 0,
"y": 0.3999999999999999,
"z": 0,
"r": -6,
"bg_x_pan": 0,
"bg_y_pan": 0
}
}
}
'{
"code": 123,
"msg": "<string>",
"data": {
"task_id": "<string>"
},
"exec_time": 123
}callback_urlprompt、ratio、style 和 model 用于定义生成请求options.seconds 和 options.motion_vectorX-Runway-Version: 2024-11-06gen4_turbocode: 200、msg: 成功 以及 data.task_id轮询反向格式的 feed 路由
callback_url,当前 CometAPI 封装器会返回 callback_url_empty,即使这实际上是一个基于任务的异步 API。Bearer token authentication. Use your CometAPI key.
Optional Runway API version header, for example 2024-11-06.
Webhook URL that receives a POST request with the result when the task completes.
Aspect ratio of the generated video, e.g. 16:9, 9:16, 1:1.
Text prompt describing the video content to generate.
Artistic style for the generated video, e.g. cinematic.
Model version to use, e.g. gen4.
Advanced generation options including duration and camera motion.
Show child attributes
OK
HTTP status code or business status code
Text description of the status code
Business data body containing detailed task information
Show child attributes
Execution time of the API interface itself (in seconds), does not represent the total video generation time
curl --request POST \
--url https://api.cometapi.com/runway/pro/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callback_url": "http://baidu.com",
"ratio": "16:9",
"prompt": "a cat",
"style": "cinematic",
"model": "gen4",
"options": {
"seconds": 10,
"motion_vector": {
"x": 0,
"y": 0.3999999999999999,
"z": 0,
"r": -6,
"bg_x_pan": 0,
"bg_y_pan": 0
}
}
}
'{
"code": 123,
"msg": "<string>",
"data": {
"task_id": "<string>"
},
"exec_time": 123
}